# Disable tests as mga8's pytest-cov
# is not new enough >=2.12.1
%bcond_with check

Name:           python-tomli-w
Version:        0.4.0
Release:        %mkrel 1
Summary:        A Python library for writing TOML
Group:		Development/Python
License:        MIT
URL:            https://github.com/hukkin/tomli-w
Source0:        %{url}/archive/%{version}/tomli-w-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-flit-core

%if %{with check}
BuildRequires:  python3-tox
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-randomly)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(tomli)
BuildRequires:  python3dist(tox-current-env)
%endif

%global _description %{expand:
Tomli-W is a Python library for writing TOML. It is a write-only counterpart
to Tomli, which is a read-only TOML parser. Tomli-W is fully compatible
with TOML v1.0.0.}

%description %_description

%package -n python3-tomli-w
Summary:        %{summary}

%description -n python3-tomli-w %_description


%prep
%autosetup -p1 -n tomli-w-%{version}


%generate_buildrequires
%pyproject_buildrequires %{?with_check:-t}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files tomli_w


%check
%if %{with check}
%tox
%else
%if 0%{?mageia} > 8
# no %%py3_check_import macro ATM in mga8
%pyproject_check_import tomli_w
%endif
%endif


%files -n python3-tomli-w -f %{pyproject_files}
%doc README.md
%doc CHANGELOG.md
%license LICENSE




%changelog
* Thu Aug 11 2022 wally <wally> 0.4.0-1.mga8
+ Revision: 1876921
- disable tests as pytest-cov is not new enough (>=2.12.1)
- sync with cauldron (mga#30736)

* Wed Mar 30 2022 umeabot <umeabot> 0.4.0-3.mga9
+ Revision: 1833841
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 mrambo3501 <mrambo3501> 0.4.0-2.mga9
+ Revision: 1781646
- BR python3.10dist(tox-current-env)
- BR python3dist(tomli)
- BR python3dist(pytest-randomly)
- BR python3dist(pytest-cov)
- rebuild for python-3.10
+ wally <wally>
- BR python3-tox
- BR python3-flit-core
- BR pyproject-rpm-macros
- imported package python-tomli-w


* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jan 20 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.4.0-2
- Add boostrap and check toggles to ease bootstrapping new EPEL releases

* Wed Oct 27 2021 Tomáš Hrnčiar <thrnciar@redhat.com> - 0.4.0-1
- Initial package
